.. _commands-solvers:

#########################################
Non Linear Solver for Mechanical Analyses
#########################################

.. automodule:: code_aster.Solvers
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.ProblemSolver
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.ProblemSolver.contact_manager
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.ProblemSolver.convergence_manager
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.ProblemSolver.incremental_solver
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.ProblemSolver.line_search
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.ProblemSolver.newton_solver
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.ProblemSolver.non_linear_solver
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.ProblemSolver.problem_solver
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.ProblemSolver.snes_solver
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.ProblemSolver.storage_manager
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.ProblemSolver.time_stepper
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.StepSolvers
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.StepSolvers.base_step_solver
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.StepSolvers.explicit_step_solver
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.StepSolvers.implicit_step_solver
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.StepSolvers.meca_dyna_step_solver
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.StepSolvers.meca_stat_step_solver
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.StepSolvers.multi_step_solver
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.StepSolvers.thermal_step_solver
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.OperatorsManager
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.OperatorsManager.base_opers_manager
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.OperatorsManager.meca_dyna_opers_manager
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.OperatorsManager.meca_stat_opers_manager
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.OperatorsManager.thermal_opers_manager
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.TimeIntegrators
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.TimeIntegrators.base_integrator
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.TimeIntegrators.newmark_integrator
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.Basics
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.Basics.base_features
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.Basics.logging_manager
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.Basics.physical_state
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.Basics.problem_dispatcher
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.Basics.residual
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.Basics.solver_features
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.Post
   :show-inheritance:
   :members:
   :special-members: __init__

.. automodule:: code_aster.Solvers.Post.annealing
   :show-inheritance:
   :members:
   :special-members: __init__
